# This file created by conda-build 3.18.12
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Tue Mar 10 20:43:09 2020
# ------------------------------------------------

package:
    name: r-vim
    version: 5.1.1
source:
    sha256: ca1430103b6bd658e318bbbbd9c25763d11d0b3f52706b1a7ea7fafd408e4270
    url:
        - https://cran.r-project.org/src/contrib/Archive/VIM/VIM_5.1.1.tar.gz
        - https://cran.r-project.org/src/contrib/VIM_5.1.1.tar.gz
build:
    merge_build_host: true
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h796a38f_0
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2020.0 166
        - libblas 3.8.0 15_mkl
        - liblapack 3.8.0 15_mkl
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-icu 58.2 heb44b8b_2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-nlopt 2.4.2 3
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2020.0 166
        - msys2-conda-epoch 20160418 1
        - r-abind 1.4_5 r36h6115d3f_1002
        - r-assertthat 0.2.1 r36h6115d3f_1
        - r-backports 1.1.5 r36hda5aaf8_0
        - r-base 3.6.2 hf0ea6f9_1
        - r-boot 1.3_24 r36h6115d3f_0
        - r-car 3.0_6 r36h6115d3f_0
        - r-cardata 3.0_3 r36h6115d3f_0
        - r-cellranger 1.1.0 r36h6115d3f_1002
        - r-class 7.3_15 r36hda5aaf8_1001
        - r-cli 2.0.2 r36h6115d3f_0
        - r-clipr 0.7.0 r36h6115d3f_0
        - r-colorspace 1.4_1 r36hda5aaf8_1
        - r-crayon 1.3.4 r36h6115d3f_1002
        - r-curl 4.3 r36hda5aaf8_0
        - r-data.table 1.12.8 r36hda5aaf8_0
        - r-deoptimr 1.0_8 r36h6115d3f_1002
        - r-digest 0.6.25 r36h796a38f_0
        - r-e1071 1.7_3 r36h796a38f_0
        - r-ellipsis 0.3.0 r36hda5aaf8_0
        - r-fansi 0.4.1 r36hda5aaf8_0
        - r-forcats 0.5.0 r36h6115d3f_0
        - r-foreign 0.8_76 r36hda5aaf8_0
        - r-glue 1.3.1 r36hda5aaf8_1
        - r-haven 2.1.1 r36h796a38f_1
        - r-hms 0.5.3 r36h6115d3f_0
        - r-laeken 0.5.1 r36h6115d3f_0
        - r-lattice 0.20_40 r36hda5aaf8_0
        - r-lme4 1.1_21 r36h796a38f_1
        - r-lmtest 0.9_37 r36h17ddedb_2
        - r-magrittr 1.5 r36h6115d3f_1002
        - r-maptools 0.9_9 r36hda5aaf8_0
        - r-mass 7.3_51.5 r36hda5aaf8_0
        - r-matrix 1.2_18 r36h0adb578_2
        - r-matrixmodels 0.4_1 r36h6115d3f_1002
        - r-mgcv 1.8_31 r36h0adb578_0
        - r-minqa 1.2.4 r36h5b3a9a7_1004
        - r-nlme 3.1_145 r36h17ddedb_0
        - r-nloptr 1.2.1 r36h796a38f_1
        - r-nnet 7.3_13 r36hda5aaf8_0
        - r-openxlsx 4.1.4 r36h796a38f_0
        - r-pbkrtest 0.4_7 r36h6115d3f_1002
        - r-pillar 1.4.3 r36h6115d3f_0
        - r-pkgconfig 2.0.3 r36h6115d3f_0
        - r-prettyunits 1.1.1 r36h6115d3f_0
        - r-progress 1.2.2 r36h6115d3f_1
        - r-quantreg 5.54 r36h17ddedb_0
        - r-r6 2.4.1 r36h6115d3f_0
        - r-ranger 0.12.1 r36h796a38f_0
        - r-rcpp 1.0.3 r36h796a38f_0
        - r-rcppeigen 0.3.3.7.0 r36h796a38f_0
        - r-readr 1.3.1 r36h796a38f_1002
        - r-readxl 1.3.1 r36h796a38f_1
        - r-rematch 1.0.1 r36h6115d3f_1002
        - r-rio 0.5.16 r36h6115d3f_1001
        - r-rlang 0.4.5 r36hda5aaf8_0
        - r-robustbase 0.93_5 r36hc833f60_3
        - r-sp 1.4_1 r36hda5aaf8_0
        - r-sparsem 1.78 r36h17ddedb_0
        - r-stringi 1.4.6 r36h796a38f_0
        - r-tibble 2.1.3 r36hda5aaf8_1
        - r-utf8 1.1.4 r36hda5aaf8_1001
        - r-vcd 1.4_6 r36h6115d3f_0
        - r-vctrs 0.2.4 r36hda5aaf8_0
        - r-zeallot 0.1.0 r36h6115d3f_1001
        - r-zip 2.0.4 r36hda5aaf8_0
        - r-zoo 1.8_7 r36hda5aaf8_0
    run:
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
        - r-car
        - r-colorspace
        - r-data.table >=1.9.4
        - r-e1071
        - r-laeken
        - r-magrittr
        - r-mass
        - r-nnet
        - r-ranger
        - r-rcpp
        - r-robustbase
        - r-sp
        - r-vcd
test:
    commands:
        - '"%R%" -e "library(''VIM'')"'
about:
    home: https://github.com/statistikat/VIM
    license: GPL-2
    license_family: GPL2
    license_file:
        - D:\bld\r-vim_1583873165927\_h_env/lib/R/share/licenses/GPL-2
    summary: New tools for the visualization of missing and/or imputed values are
        introduced, which can be used for exploring the data and the structure of
        the missing and/or imputed values. Depending on this structure of the missing
        values, the corresponding methods may help to identify the mechanism generating
        the missing values and allows to explore the data including missing values.
        In addition, the quality of imputation can be visually explored using various
        univariate, bivariate, multiple and multivariate plot methods (<doi:10.1007/s11634-011-0102-y>).
        A graphical user interface available in the separate package VIMGUI allows
        an easy handling of the implemented plot methods. Fast imputation methods
        such as k-nearest neighbor imputation (<doi:10.18637/jss.v074.i07>) and imputation
        using robust methods are provided (<doi:10.1016/j.csda.2011.04.012>).
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ArneKr
        - FrodePedersen
        - MathiasHaudgaard
        - conda-forge/r
